# DataExchange
TKXSBase
Transfer

# Transfer_TransferOutput Class Reference

A TransferOutput is a Tool which manages the transfer of
entities created by an Interface, stored in an InterfaceModel,
into a set of Objects suitable for an Application
Objects to be transferred are given, by method Transfer
(which calls Transfer from TransientProcess)
A default action is available to get all roots of the Model
Result is given as a TransferIterator (see TransferProcess)
Also, it is possible to pilot directly the TransientProcess
.

`#include <Transfer_TransferOutput.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Transfer_TransferOutput (const Handle(Transfer_ActorOfTransientProcess)&actor, const Handle(Interface_InterfaceModel)&amodel)
| Creates a TransferOutput ready to use, with a TransientProcess .
Standard_EXPORT | Transfer_TransferOutput (const Handle(Transfer_TransientProcess)&proc, const Handle(Interface_InterfaceModel)&amodel)
| Creates a TransferOutput from an already existing TransientProcess, and a Model //! Returns (by Reference, hence can be changed) the Mode for Scope Management. False (D) means Scope is ignored. True means that each individual Transfer (direct or through TransferRoots) is regarded as one Scope .
Standard_EXPORT Handle_Interface_InterfaceModel | Model () const
| Returns the Starting Model .
Standard_EXPORT Handle_Transfer_TransientProcess | TransientProcess () const
| Returns the TransientProcess used to work .
Standard_EXPORT void | Transfer (const Handle(Standard_Transient)&obj)
| Transfer checks that all taken Entities come from the same Model, then calls Transfer from TransientProcess .
Standard_EXPORT void | TransferRoots (const Handle(Interface_Protocol)&protocol)
| Runs transfer on the roots of the Interface Model The Roots are computed with a ShareFlags created from a Protocol given as Argument .
Standard_EXPORT void | TransferRoots (const Interface_Graph &G)
| Runs transfer on the roots defined by a Graph of dependences (which detains also a Model and its Entities) Roots are computed with a ShareFlags created from the Graph .
Standard_EXPORT void | TransferRoots ()
| Runs transfer on the roots of the Interface Model Remark : the Roots are computed with a ShareFlags created from the Active Protocol .
Standard_EXPORT Interface_EntityIterator | ListForStatus (const Standard_Boolean normal, const Standard_Boolean roots=Standard_True) const

Returns the list of Starting Entities with these criteria :
- <normal> False, gives the entities bound with ABNORMAL STATUS
(e.g. : Fail recorded, Exception raised during Transfer)
- <normal> True, gives Entities with or without a Result, but
with no Fail, no Exception (Warnings are not counted)
- <roots> False, considers all entities recorded (either for
Result, or for at least one Fail or Warning message)
- <roots> True (Default), considers only roots of Transfer
(the Entities recorded at highest level)
This method is based on AbnormalResult from TransferProcess
.

Standard_EXPORT Handle_Interface_InterfaceModel | ModelForStatus (const Handle(Interface_Protocol)&protocol, const Standard_Boolean normal, const Standard_Boolean roots=Standard_True) const
| Fills a Model with the list determined by ListForStatus This model starts from scratch (made by NewEmptyModel from the current Model), then is filled by AddWithRefs Useful to get separately from a transfer, the entities which have caused problem, in order to furtherly analyse them (with normal = False), or the "good" entities, to obtain a data set "which works well" (with normal = True) .

## Private Attributes

Handle_Transfer_TransientProcess | theproc
Handle_Interface_InterfaceModel | themodel

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_TransferOutput::Transfer_TransferOutput | ( | const Handle(Transfer_ActorOfTransientProcess)& | actor,
|  | const Handle(Interface_InterfaceModel)& | amodel
| ) |

Standard_EXPORT Transfer_TransferOutput::Transfer_TransferOutput | ( | const Handle(Transfer_TransientProcess)& | proc,
|  | const Handle(Interface_InterfaceModel)& | amodel
| ) |

## Member Function Documentation

Standard_EXPORT Interface_EntityIterator Transfer_TransferOutput::ListForStatus | ( | const Standard_Boolean | normal,
|  | const Standard_Boolean | roots = `Standard_True`
| ) | const

Standard_EXPORT Handle_Interface_InterfaceModel Transfer_TransferOutput::Model | ( |  | ) | const

Standard_EXPORT Handle_Interface_InterfaceModel Transfer_TransferOutput::ModelForStatus | ( | const Handle(Interface_Protocol)& | protocol,
|  | const Standard_Boolean | normal,
|  | const Standard_Boolean | roots = `Standard_True`
| ) | const

void Transfer_TransferOutput::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Transfer_TransferOutput::operator new | ( | size_t | size | ) | `[inline]`

void* Transfer_TransferOutput::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void Transfer_TransferOutput::Transfer | ( | const Handle(Standard_Transient)& | obj | ) |

Standard_EXPORT void Transfer_TransferOutput::TransferRoots | ( |  | ) |

Standard_EXPORT void Transfer_TransferOutput::TransferRoots | ( | const Interface_Graph & | G | ) |

Standard_EXPORT void Transfer_TransferOutput::TransferRoots | ( | const Handle(Interface_Protocol)& | protocol | ) |

Standard_EXPORT Handle_Transfer_TransientProcess Transfer_TransferOutput::TransientProcess | ( |  | ) | const

## Field Documentation

Handle_Interface_InterfaceModel Transfer_TransferOutput::themodel `[private]`

Handle_Transfer_TransientProcess Transfer_TransferOutput::theproc `[private]`

The documentation for this class was generated from the following file:

- Transfer_TransferOutput.hxx